# Generated by Django 3.0.7 on 2020-09-19 07:51

from decimal import Decimal
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('fxtm', '0008_auto_20200909_2108'),
    ]

    operations = [
        migrations.CreateModel(
            name='LoanPaid',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(blank=True, max_length=50, null=True)),
                ('amount', models.DecimalField(decimal_places=2, max_digits=20, validators=[django.core.validators.MinValueValidator(Decimal('0.01'))])),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('loan', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='fxtm.Loan')),
            ],
        ),
        migrations.CreateModel(
            name='LoanTaken',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(blank=True, max_length=50, null=True)),
                ('amount', models.DecimalField(decimal_places=2, max_digits=20, validators=[django.core.validators.MinValueValidator(Decimal('0.01'))])),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('loan', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='fxtm.Loan')),
            ],
        ),
        migrations.RemoveField(
            model_name='credittransaction',
            name='bank',
        ),
        migrations.AlterField(
            model_name='debittransaction',
            name='bank',
            field=models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='fxtm.BankTransaction'),
        ),
        migrations.AlterField(
            model_name='exrequest',
            name='name',
            field=models.CharField(default='2020-09-19T07:51:07.612491', max_length=30),
        ),
        migrations.DeleteModel(
            name='LoanTransaction',
        ),
    ]
